> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Create a Country List Item

POST https://api.withpersona.com/api/v1/list-item/countries
Content-Type: application/json

Create a new item in a list.

Reference: https://docs.withpersona.com/api-reference/list-items/create-a-country-list-item

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

### Body (application/json)

This endpoint expects an object.

- `data` (ListItemCountriesPostRequestBodyContentApplicationJsonSchemaData, optional)

## Response

### 201

This endpoint returns the created List Item object.

- `data` (list-item-country, required) — A Country List Item

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of ListItemCountriesPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of ListItemCountriesPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of ListItemCountriesPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of ListItemCountriesPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 409 Conflict Error

The request conflicts with another request, often due to attempting to create a duplicate resource.

- `errors` (list of ListItemCountriesPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 422 Unprocessable Entity Error

The request modifies the resource in an unacceptable way, often due to an invalid action or parameter.

- `errors` (list of ListItemCountriesPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of ListItemCountriesPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ListItemCountriesPostRequestBodyContentApplicationJsonSchemaData

- `attributes` (ListItemCountriesPostRequestBodyContentApplicationJsonSchemaDataAttributes, optional)

### list-item-country

A Country List Item

- `id` (string, optional) — Unique identifier for this list item. Starts with `lic_`.
- `type` ("list-item/country", optional)
- `attributes` (ListItemCountryAttributes, optional)
- `relationships` (ListItemCountryRelationships, optional)

### ListItemCountriesPostResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### ListItemCountriesPostRequestBodyContentApplicationJsonSchemaDataAttributes

- `country-code` (string, optional) — Country code to add to list.
- `list-id` (string, optional) — ID of the list to add this item to. List must be a Country List.

### ListItemCountryAttributes

- `archived-at` (datetime, optional, nullable)
- `country-code` (string, optional) — Alpha-2 country code
- `created-at` (datetime, optional)
- `inquiry-matches` (list of any, optional)
- `match-count` (integer, optional, default: 0)
- `redacted-at` (datetime, optional, nullable)
- `status` (string, optional) — Possible values: - pending - active - archived Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update.
- `updated-at` (datetime, optional, nullable)

### ListItemCountryRelationships

- `creator` (ListItemCountryRelationshipsCreator, optional)

### ListItemCountryRelationshipsCreator

- `data` (ListItemCountryRelationshipsCreatorData, optional, nullable)

### ListItemCountryRelationshipsCreatorData

### ListItemCountryRelationshipsCreatorData0

- `type` ("user", optional)
- `id` (string, optional)

### ListItemCountryRelationshipsCreatorData1

- `type` ("workflow-run", optional)
- `id` (string, optional)

### ListItemCountryRelationshipsCreatorData2

- `type` ("workflow-step/action", optional)
- `id` (string, optional)

### ListItemCountryRelationshipsCreatorData3

- `type` ("api-key", optional)
- `id` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "id": "lic_wt5cgLbSi7twJ8itK7jxCs8q",
    "type": "list-item/country",
    "attributes": {
      "archived-at": null,
      "country-code": "US",
      "created-at": "2020-09-18T17:58:06.866Z",
      "match-count": 0,
      "redacted-at": null,
      "status": "pending",
      "updated-at": "2020-09-18T17:58:06.866Z"
    },
    "relationships": {
      "creator": {
        "data": null
      }
    }
  }
}
```

**SDK Code**

```python Created
import requests

url = "https://api.withpersona.com/api/v1/list-item/countries"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Created
const url = 'https://api.withpersona.com/api/v1/list-item/countries';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Created
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/list-item/countries"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Created
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/list-item/countries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Created
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.withpersona.com/api/v1/list-item/countries")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Created
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.withpersona.com/api/v1/list-item/countries', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Created
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/list-item/countries");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Created
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/list-item/countries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```